SalesOS.

Health Auto Triage

Automatic detection of at-risk accounts

Health Auto Triage Controller_list Cases

GET
/v1/health-triage/cases

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/health-triage/cases" \
  -H "Authorization: Bearer <token>"

Health Auto Triage Controller_get Stats

GET
/v1/health-triage/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/health-triage/stats" \
  -H "Authorization: Bearer <token>"

Health Auto Triage Controller_get Config

GET
/v1/health-triage/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/health-triage/config" \
  -H "Authorization: Bearer <token>"

Health Auto Triage Controller_update Config

PATCH
/v1/health-triage/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X PATCH "https://api.salesos.org/v1/health-triage/config" \
  -H "Authorization: Bearer <token>"

Health Auto Triage Controller_get Case

GET
/v1/health-triage/cases/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/health-triage/cases/<string>" \
  -H "Authorization: Bearer <token>"

Health Auto Triage Controller_save Plan

POST
/v1/health-triage/cases/{id}/save-plan

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/health-triage/cases/<string>/save-plan" \
  -H "Authorization: Bearer <token>"

Health Auto Triage Controller_ignore Case

POST
/v1/health-triage/cases/{id}/ignore

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/health-triage/cases/<string>/ignore" \
  -H "Authorization: Bearer <token>"

Health Auto Triage Controller_execute Plan Action

POST
/v1/health-triage/cases/{id}/actions/{actionId}/execute

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
actionIdRequiredstring
curl -X POST "https://api.salesos.org/v1/health-triage/cases/<string>/actions/<string>/execute" \
  -H "Authorization: Bearer <token>"

Health Auto Triage Controller_resolve Case

POST
/v1/health-triage/cases/{id}/resolve

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/health-triage/cases/<string>/resolve" \
  -H "Authorization: Bearer <token>"
GET
/v1/health-triage/trends

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/health-triage/trends" \
  -H "Authorization: Bearer <token>"